gtkmm: Gtk::ShortcutManager Class Reference

gtkmm 4.7.1

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions | List of all members
Gtk::ShortcutManager Class Reference

Interface for managing shortcuts. More...

`#include <gtkmm/shortcutmanager.h>`

Inheritance diagram for Gtk::ShortcutManager:
[legend]

## Public Member Functions
| ShortcutManager (ShortcutManager && src) noexcept
ShortcutManager & | operator= (ShortcutManager && src) noexcept
| ~ShortcutManager () noexcept override
GtkShortcutManager * | gobj ()
| Provides access to the underlying C GObject. More...
const GtkShortcutManager * | gobj () const
| Provides access to the underlying C GObject. More...
Public Member Functions inherited from Glib::Interface
| Interface ()
| Interface (Interface &&src) noexcept
Interface & | operator= (Interface &&src) noexcept
| Interface (const Glib::Interface_Class &interface_class)
| Interface (GObject *castitem)
| ~Interface () noexcept override
| Interface (const Interface &)=delete
Interface & | operator= (const Interface &)=delete
GObject * | gobj ()
const GObject * | gobj () const
Public Member Functions inherited from Glib::ObjectBase
| ObjectBase (const ObjectBase &)=delete
ObjectBase & | operator= (const ObjectBase &)=delete
void | set_property_value (const Glib::ustring &property_name, const Glib::ValueBase &value)
void | get_property_value (const Glib::ustring &property_name, Glib::ValueBase &value) const
void | set_property (const Glib::ustring &property_name, const PropertyType &value)
void | get_property (const Glib::ustring &property_name, PropertyType &value) const
PropertyType | get_property (const Glib::ustring &property_name) const
sigc::connection | connect_property_changed (const Glib::ustring &property_name, const sigc::slot< void()> &slot)
sigc::connection | connect_property_changed (const Glib::ustring &property_name, sigc::slot< void()> &&slot)
void | freeze_notify ()
void | thaw_notify ()
virtual void | reference () const
virtual void | unreference () const
GObject * | gobj ()
const GObject * | gobj () const
GObject * | gobj_copy () const
Public Member Functions inherited from sigc::trackable
| trackable () noexcept
| trackable (const trackable &src) noexcept
| trackable (trackable &&src) noexcept
| ~trackable ()
void | add_destroy_notify_callback (notifiable *data, func_destroy_notify func) const
void | notify_callbacks ()
trackable & | operator= (const trackable &src)
trackable & | operator= (trackable &&src) noexcept
void | remove_destroy_notify_callback (notifiable *data) const

## Static Public Member Functions
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...

## Protected Member Functions
| ShortcutManager ()
| You should derive from this class to use it. More...
virtual void | add_controller_vfunc (const Glib::RefPtr< ShortcutController > & controller)
virtual void | remove_controller_vfunc (const Glib::RefPtr< ShortcutController > & controller)
Protected Member Functions inherited from Glib::ObjectBase
| ObjectBase ()
| ObjectBase (const char *custom_type_name)
| ObjectBase (const std::type_info &custom_type_info)
| ObjectBase (ObjectBase &&src) noexcept
ObjectBase & | operator= (ObjectBase &&src) noexcept
virtual | ~ObjectBase () noexcept=0
void | initialize (GObject *castitem)
void | initialize_move (GObject *castitem, Glib::ObjectBase *previous_wrapper)

## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gtk::ShortcutManager > | wrap (GtkShortcutManager * object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Additional Inherited Members
Public Types inherited from sigc::trackable
typedef internal::func_destroy_notify | func_destroy_notify
Public Types inherited from sigc::notifiable
typedef internal::func_destroy_notify | func_destroy_notify

## Detailed Description

Interface for managing shortcuts.

The Gtk::ShortcutManager interface is used to implement shortcut scopes.

This is important for Gtk::Native widgets that have their own surface, since the event controllers that are used to implement managed and global scopes are limited to the same native.

Examples of widgets implementing Gtk::ShortcutManager are Gtk::Window and Gtk::Popover.

Since gtkmm 3.98:

## Constructor & Destructor Documentation

## ◆ ShortcutManager() [1/2]

Gtk::ShortcutManager::ShortcutManager | ( |  | ) |
| protected

You should derive from this class to use it.

## ◆ ShortcutManager() [2/2]

Gtk::ShortcutManager::ShortcutManager | ( | ShortcutManager && | src | ) |
| noexcept

## ◆ ~ShortcutManager()

Gtk::ShortcutManager::~ShortcutManager | ( |  | ) |
| overridenoexcept

## Member Function Documentation

## ◆ add_controller_vfunc()

virtual void Gtk::ShortcutManager::add_controller_vfunc | ( | const Glib::RefPtr< ShortcutController > & | controller | ) |
| protectedvirtual

## ◆ add_interface()

static void Gtk::ShortcutManager::add_interface | ( | GType | gtype_implementer | ) |
| static

## ◆ get_type()

static GType Gtk::ShortcutManager::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

## ◆ gobj() [1/2]

GtkShortcutManager* Gtk::ShortcutManager::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

## ◆ gobj() [2/2]

const GtkShortcutManager* Gtk::ShortcutManager::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

## ◆ operator=()

ShortcutManager& Gtk::ShortcutManager::operator= | ( | ShortcutManager && | src | ) |
| noexcept

## ◆ remove_controller_vfunc()

virtual void Gtk::ShortcutManager::remove_controller_vfunc | ( | const Glib::RefPtr< ShortcutController > & | controller | ) |
| protectedvirtual

## Friends And Related Function Documentation

## ◆ wrap()

Glib::RefPtr< Gtk::ShortcutManager > wrap | ( | GtkShortcutManager * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.